Subject: Re: [PATCH net-next v2 0/5] Consolidate FCrypt and PCBC code into net/rxrpc/

From: Eric Biggers <[email-masked]>
Date: Tue, 2 Jun 2026 22:05:57 -0700

On Fri, May 22, 2026 at 10:06:49AM -0300, Marc Dionne wrote:
> On Fri, May 22, 2026 at 2:07 AM Eric Biggers <[email-masked]> wrote:
> >
> > The FCrypt "block cipher" and the PCBC mode of operation are obsolete
> > and insecure.  Since their only user is net/rxrpc/, they belong there,
> > not in the crypto API.
> >
> > Therefore, this series removes these algorithms from the crypto API and
> > replaces them with local implementations in net/rxrpc/.
> >
> > The local implementations are simpler too, as they avoid the crypto API
> > boilerplate.
> >
> > I don't know how to test all the code in net/rxrpc/, but everything
> > should still work.  I added a KUnit test for the crypto functions.
> >
> > Changed in v2:
> >     - Added missing export of fcrypt_preparekey().
> >     - Write "RxRPC crypto KUnit test" instead of "RxRPC KUnit test".
> >     - Rebased onto latest net-next where decryption now happens in the
> >       linear buffer rxrpc_call::rx_dec_buffer, simplifying the code.
> 
> Looks good in testing with our kafs test suite, forcing the use of
> rxkad with encryption.
> 
> Feel free to add for the series:
> Tested-by: Marc Dionne <[email-masked]>

Thanks!

If there's no more feedback, could this be applied to net-next?

- Eric